Stats
Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
Show
API endpoint:
GET
https://www.byoviral.com/api/v1/stats/{website_id}
Request example:
curl --location --request GET 'https://www.byoviral.com/api/v1/stats/{website_id}?name={name}&from={from}&to={to}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
namerequired string
Name. Possible values are:
browser, campaign, city, continent, country, device, event, language, operating_system, page, pageview, referrer, screen_resolution, visitor.fromrequired string
Starting date in
Y-m-d format.torequired string
Ending date in
Y-m-d format.searchoptional string
Search query.
search_byoptional string
Search by. Possible values are:
value for Value.sort_byoptional string
Sort by. Possible values are:
count for Count, value for Value. Defaults to: count.sortoptional string
Sort. Possible values are:
desc for Descending, asc for Ascending. Defaults to: desc.per_pageoptional integer
Results per page. Possible values are:
10, 25, 50, 100. Defaults to: 10.